Loading...
Searching...
No Matches
Macros.hpp File Reference
`#include <codecvt>`

Go to the source code of this file.

## Macros

#define | CLI11_DEPRECATED(reason)
#define | CLI11_NODISCARD
#define | CLI11_USE_STATIC_RTTI 1
#define | CLI11_HAS_CODECVT 1
#define | CLI11_HAS_RTTI 0
#define | CLI11_DIAGNOSTIC_PUSH
#define | CLI11_DIAGNOSTIC_POP
#define | CLI11_DIAGNOSTIC_IGNORE_DEPRECATED
#define | CLI11_INLINE inline

## Macro Definition Documentation

## CLI11_DEPRECATED

#define CLI11_DEPRECATED | ( |  | reason | ) |

Value:
__attribute__((deprecated(reason)))

## CLI11_DIAGNOSTIC_IGNORE_DEPRECATED

#define CLI11_DIAGNOSTIC_IGNORE_DEPRECATED

## CLI11_DIAGNOSTIC_POP

#define CLI11_DIAGNOSTIC_POP

## CLI11_DIAGNOSTIC_PUSH

#define CLI11_DIAGNOSTIC_PUSH

disable deprecations

## CLI11_HAS_CODECVT

#define CLI11_HAS_CODECVT 1

<filesystem> availability <codecvt> availability

## CLI11_HAS_RTTI

#define CLI11_HAS_RTTI 0

rtti enabled

## CLI11_INLINE

#define CLI11_INLINE inline

Inline macro

## CLI11_NODISCARD

#define CLI11_NODISCARD

## CLI11_USE_STATIC_RTTI

#define CLI11_USE_STATIC_RTTI 1

detection of rtti